> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crexi/spaces/search

> Search Crexi commercial spaces for lease. Returns space cards with id, name, building type, asking lease rate ($/SqFt per year), rentable square footage range, number of suites, brokerage, image, latitude/longitude and space_url. Filter by building type and subtype, lease rate, square footage, acreage, tenancy, class, broker id and a geographic bounding box.

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/crexi/spaces/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crexi/spaces/search:
    post:
      tags:
        - /crexi
      summary: /crexi/spaces/search
      description: >-
        Search Crexi commercial spaces for lease. Returns space cards with id,
        name, building type, asking lease rate ($/SqFt per year), rentable
        square footage range, number of suites, brokerage, image,
        latitude/longitude and space_url. Filter by building type and subtype,
        lease rate, square footage, acreage, tenancy, class, broker id and a
        geographic bounding box.


        **Price:** 20 credits per 100 results
      operationId: __api_crexi_spaces_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrexiSpacesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrexiSpace'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrexiSpacesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        building_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiLeaseBuildingType'
              type: array
            - type: 'null'
        subtypes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        keywords:
          anyOf:
            - type: string
            - type: 'null'
        min_rate:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_rate:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_acres:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_acres:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        tenancies:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiTenancy'
              type: array
            - type: 'null'
        class_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CrexiClassType'
              type: array
            - type: 'null'
        broker_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        exclude_undisclosed_rate:
          type: boolean
          default: false
        latitude_min:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        latitude_max:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        longitude_min:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        longitude_max:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        sort_order:
          $ref: '#/components/schemas/CrexiLeaseSortOrder'
          default: rank
        sort_direction:
          $ref: '#/components/schemas/CrexiSortDirection'
          default: Descending
        count:
          type: integer
          maximum: 1500
          minimum: 1
      type: object
      required:
        - count
    CrexiSpace:
      properties:
        '@type':
          type: string
          default: CrexiSpace
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        building_types:
          items:
            type: string
          type: array
          default: []
        rate_type:
          anyOf:
            - type: string
            - type: 'null'
        rate_sqft_per_year_min:
          anyOf:
            - type: number
            - type: 'null'
        rate_sqft_per_year_max:
          anyOf:
            - type: number
            - type: 'null'
        rate_yearly_display:
          anyOf:
            - type: string
            - type: 'null'
        rate_monthly_display:
          anyOf:
            - type: string
            - type: 'null'
        rentable_sqft_min:
          anyOf:
            - type: integer
            - type: 'null'
        rentable_sqft_max:
          anyOf:
            - type: integer
            - type: 'null'
        suite_count:
          anyOf:
            - type: integer
            - type: 'null'
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        brokerage_name:
          anyOf:
            - type: string
            - type: 'null'
        broker_logo:
          anyOf:
            - type: string
            - type: 'null'
        has_video:
          anyOf:
            - type: boolean
            - type: 'null'
        has_virtual_tour:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
        is_outdated:
          anyOf:
            - type: boolean
            - type: 'null'
        activated_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        space_url:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/CrexiLocation'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrexiLeaseBuildingType:
      type: string
      enum:
        - Retail
        - Office
        - Industrial
        - Land
        - Restaurant
        - Special Purpose
    CrexiTenancy:
      type: string
      enum:
        - Vacant
        - Single
        - Multi
    CrexiClassType:
      type: string
      enum:
        - A
        - B
        - C
        - D
    CrexiLeaseSortOrder:
      type: string
      enum:
        - rank
        - rate
        - sqFt
        - activatedOn
        - updatedOn
    CrexiSortDirection:
      type: string
      enum:
        - Ascending
        - Descending
    CrexiLocation:
      properties:
        '@type':
          type: string
          default: CrexiLocation
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        state_name:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        full_address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````